Loading...
Searching...
No Matches
coap_proxy.h File Reference

Helper functions for proxy handling. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_proxy_server_t
struct | coap_proxy_server_list_t

## Typedefs

typedef struct coap_proxy_server_t | coap_proxy_server_t
typedef struct coap_proxy_server_list_t | coap_proxy_server_list_t

## Enumerations

enum | coap_proxy_t { COAP_PROXY_REVERSE , COAP_PROXY_REVERSE_STRIP , COAP_PROXY_FORWARD , COAP_PROXY_FORWARD_STRIP , COAP_PROXY_DIRECT , COAP_PROXY_DIRECT_STRIP }

## Functions

int | coap_verify_proxy_scheme_supported (coap_uri_scheme_t scheme)
| Verify that the CoAP Scheme is supported for an ongoing proxy connection.
int COAP_API | coap_proxy_forward_request (coap_session_t *session, const coap_pdu_t *request, coap_pdu_t *response, coap_resource_t *resource, coap_cache_key_t *cache_key, coap_proxy_server_list_t *server_list)
| Forward incoming request upstream to the next proxy/server.
coap_response_t COAP_API | coap_proxy_forward_response (coap_session_t *session, const coap_pdu_t *received, coap_cache_key_t **cache_key)
| Forward the returning response back to the appropriate client.

## Detailed Description

Helper functions for proxy handling.

Definition in file coap_proxy.h.